#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CPAN
Summary:	CPAN Perl module - query, download and build Perl modules from CPAN sites
Summary(pl.UTF-8):	Moduł Perla CPAN - odpytywanie, ściąganie i budowanie modułów Perla z serwisów CPAN
Name:		perl-CPAN
Version:	2.26
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CPAN/%{pdir}-%{version}.tar.gz
# Source0-md5:	f8b88baa35bd6ae582d3dd9b6c5e4771
URL:		http://search.cpan.org/dist/CPAN/
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The CPAN module is designed to automate the make and install of perl
modules and extensions. It includes some searching capabilities and
knows how to use Net::FTP or LWP (or lynx or an external FTP client)
to fetch the raw data from the net.

%description -l pl.UTF-8
Moduł CPAN służy do automatyzacji procesu budowania i instalowania
modułów i rozszerzeń Perla. Ma możliwość wyszukiwania i używania
Net::FTP lub LWP (albo lynksa czy zewnętrznego klienta FTP) do
ściągania danych z sieci.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Todo
%attr(755,root,root) %{_bindir}/cpan
%attr(755,root,root) %{_bindir}/cpan-mirrors
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/App/Cpan.pm
%dir %{perl_vendorlib}/CPAN
%{perl_vendorlib}/CPAN/*.pm
%dir %{perl_vendorlib}/CPAN/API
%{perl_vendorlib}/CPAN/API/HOWTO.pod
%dir %{perl_vendorlib}/CPAN/Exception
%{perl_vendorlib}/CPAN/Exception/*.pm
%dir %{perl_vendorlib}/CPAN/FTP
%{perl_vendorlib}/CPAN/FTP/netrc.pm
%dir %{perl_vendorlib}/CPAN/HTTP
%{perl_vendorlib}/CPAN/HTTP/*.pm
%dir %{perl_vendorlib}/CPAN/Kwalify
%{perl_vendorlib}/CPAN/Kwalify/distroprefs*
%dir %{perl_vendorlib}/CPAN/LWP
%{perl_vendorlib}/CPAN/LWP/UserAgent.pm
%dir %{perl_vendorlib}/CPAN/Plugin
%{perl_vendorlib}/CPAN/Plugin/*.pm
%{_mandir}/man1/*
%{_mandir}/man3/App::Cpan.3pm*
%{_mandir}/man3/C*
%changelog
* Tue Mar 19 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-CPAN.git;a=log;h=master

* Tue Mar 19 2019 Adam Gołębiowski <adamg@pld-linux.org> e7eead3
- updated to 2.26

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 3fa0569
- cosmetics

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 0dd54b8
- updated to 1.9402

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 59dd61f
- updated to 1.9304

* Mon Dec 15 2008 Jakub Bogusz <qboosh@pld-linux.org> ad82d3c
- generic URL, License

* Sat Dec 13 2008 Maciej Pijanka <agaran@pld-linux.org> 172a286
- up to 1.9301, rel 1, builds here

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2206bc2
- release 2

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 16e4353
- up to 1.9205

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9061c18
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3967e6a
- converted to UTF-8

* Tue Apr 04 2006 radek <radek@pld-linux.org> 9cad262
- version 1.87

* Tue Jan 10 2006 blaass <blaass@pld-linux.org> 9016fed
- up to 1.83

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e051f07
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> bfb58f6
- ftp->FTP

* Mon May 10 2004 ankry <ankry@pld-linux.org> 39aceb3
- BR/R fixed/simplified, rel. 2

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 38a5476
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 88700ed
- bcond fixes/porting

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> 1717ba5
- license/summary/description fixes

* Sun Mar 28 2004 migo <migo@pld-linux.org> 9a53ea3
- add %{perl_vendorlib}/CPAN directory

* Mon Sep 15 2003 Adam Gołębiowski <adamg@pld-linux.org> 4e1f5ba
- updated to 1.76

